require "memoist"

module ContainersCp
  class CommonAssets
    extend ::Memoist

    def data_store(id_or_name)
      if id_or_name.is_a?(Numeric) || id_or_name.to_i.positive?
        data_stores_by_id[id_or_name]
      else
        data_stores_by_name[id_or_name]
      end
    end

    def data_stores_by_name
      ::Multidb.use(:master) { ::DataStore.all.each_with_object({}) { |r, h| h[r.name] = r } }
    end
    memoize :data_stores_by_name

    def data_stores_by_id
      ::Multidb.use(:master) { ::DataStore.all.each_with_object({}) { |r, h| h[r.id] = r } }
    end
    memoize :data_stores_by_id
  end
end
