# frozen_string_literal: true

# auto_register: false
require "cht-lib-fabric"
require "karafka"
require_relative "consumers/containers_feed_consumer"

module ContainersCp
  module Consumers
    autoload :ContainersFeedConsumer, "consumers/containers_feed_consumer"
  end
end

::Karafka::App.consumer_groups.draw do
  consumer_group :containers_cp do
    topic "com.cloudhealthtech.container.kubernetes.collection" do
      consumer ::ContainersCp::Consumers::ContainersFeedConsumer
      batch_consuming true
    end
  end
end
