# frozen_string_literal: true

require_relative "asset_base"
require_relative "kubernetes_label"
require_relative "kubernetes_annotation"

class KubernetesAssetBase < AssetBase
  self.abstract_class = true
  self.label_model = ::KubernetesLabel
  self.label_relation = "kubernetes_labels"
  self.annotation_model = ::KubernetesAnnotation
  self.annotation_relation = "kubernetes_annotations"

  def service_name
    "kubernetes"
  end

  def crn
    [
        "crn:containers:#{service_name}",
        customer_id,
        containers_cluster_id,
        asset_name,
        name
    ].join(":")
  end

end
