# frozen_string_literal: true

require_relative "./kubernetes_asset_base"

class KubernetesContainersImage < KubernetesAssetBase
  include ::ContainersCp::Helpers::ModelDefaultScopes

  belongs_to :customer
  has_and_belongs_to_many :kubernetes_labels, join_table: "kubernetes_containers_images_kubernetes_labels"
  has_and_belongs_to_many :kubernetes_annotations, join_table: "kubernetes_containers_images_kubernetes_annotations"

  def classic_name
    "Kubernetes Containers Image"
  end

  def asset_name
    "containers_image"
  end
end
