# frozen_string_literal: true

require_relative "./kubernetes_asset_base"

class KubernetesJob < KubernetesAssetBase
  include ::ContainersCp::Helpers::ModelDefaultScopes

  belongs_to :customer
  has_and_belongs_to_many :kubernetes_labels, join_table: "kubernetes_jobs_kubernetes_labels"
  has_and_belongs_to_many :kubernetes_annotations, join_table: "kubernetes_jobs_kubernetes_annotations"

  def classic_name
    "Kubernetes Job"
  end

  def asset_name
    "job"
  end
end
