# frozen_string_literal: true

require_relative "./kubernetes_asset_base"

class KubernetesStatefulset < KubernetesAssetBase
  include ::ContainersCp::Helpers::ModelDefaultScopes

  belongs_to :customer
  has_and_belongs_to_many :kubernetes_labels, join_table: "kubernetes_statefulsets_kubernetes_labels"
  has_and_belongs_to_many :kubernetes_annotations, join_table: "kubernetes_statefulsets_kubernetes_annotations"

  def classic_name
    "Kubernetes StatefulSet"
  end

  def asset_name
    "statefulset"
  end
end
