# This module initializes the framework processing classes
require "karafka"
require "karafka-sidekiq-backend"
require "sidekiq_unique_jobs"
require "job_management"
require "processing-framework"
require "containers_cp/models"
require "containers_cp/processing/asset_processor"
require "containers_cp/workers/processing_assets"
require "containers_cp/audit/processing_assets_auditor"

redis = Application["cache.redis"]
runtime = Application["runtime"]

CloudHealth::Processing::Workers::ProcessingAssetsWorker.audit_recorder = ::ContainersCp::Audit::ProcessingAssetsAuditor
CloudHealth::Processing::Audit::ProcessingAssetsAuditor.enable_kafka_log = false
