# frozen_string_literal: true
#
module ContainersCp
  module Processing
    # This class extends the Reject strategy from the gem so that we can log a warning with some context
    # and a metric when this occurs.
    class RejectStrategy < ::SidekiqUniqueJobs::OnConflict::Reject
      def call
        Application["logger"].warn("Sidekiq job locked, rejecting:  #{item['lock_args']} job ID: #{item['jid']}")
        Application["wavefront"].counter("containers_cp.sidekiq.lock_conflict", 1)
        super
      end
    end
  end
end
